Index: ./devel/libgail-gnome/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libgail-gnome/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./devel/libgail-gnome/buildlink3.mk	6 Mar 2006 00:18:12 -0000	1.8
+++ ./devel/libgail-gnome/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgail-gnome
 
 .if !empty(LIBGAIL_GNOME_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgail-gnome+=	libgail-gnome>=1.1.1nb2
-BUILDLINK_RECOMMENDED.libgail-gnome?=	libgail-gnome>=1.1.3
+BUILDLINK_API_DEPENDS.libgail-gnome+=	libgail-gnome>=1.1.1nb2
+BUILDLINK_ABI_DEPENDS.libgail-gnome?=	libgail-gnome>=1.1.3
 BUILDLINK_PKGSRCDIR.libgail-gnome?=	../../devel/libgail-gnome
 .endif	# LIBGAIL_GNOME_BUILDLINK3_MK
 
Index: ./devel/libgetopt/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libgetopt/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./devel/libgetopt/buildlink3.mk	17 May 2004 21:32:34 -0000	1.8
+++ ./devel/libgetopt/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	getopt
 
 .if !empty(LIBGETOPT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.getopt+=	libgetopt>=1.3
+BUILDLINK_API_DEPENDS.getopt+=	libgetopt>=1.3
 BUILDLINK_PKGSRCDIR.getopt?=	../../devel/libgetopt
 .endif	# LIBGETOPT_BUILDLINK3_MK
 
Index: ./devel/libgetopt/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libgetopt/builtin.mk,v
retrieving revision 1.4
diff -u -r1.4 builtin.mk
--- ./devel/libgetopt/builtin.mk	5 Jun 2005 09:25:37 -0000	1.4
+++ ./devel/libgetopt/builtin.mk	4 Apr 2006 06:26:52 -0000
@@ -32,7 +32,7 @@
 .    if defined(BUILTIN_PKG.getopt) && \
         !empty(IS_BUILTIN.getopt:M[yY][eE][sS])
 USE_BUILTIN.getopt=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.getopt}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.getopt}
 .        if !empty(USE_BUILTIN.getopt:M[yY][eE][sS])
 USE_BUILTIN.getopt!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.getopt:Q}; then	\
Index: ./devel/libglade/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libglade/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./devel/libglade/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.5
+++ ./devel/libglade/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libglade
 
 .if !empty(LIBGLADE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libglade+=	libglade>=0.17nb5
-BUILDLINK_RECOMMENDED.libglade+=	libglade>=0.17nb8
+BUILDLINK_API_DEPENDS.libglade+=	libglade>=0.17nb5
+BUILDLINK_ABI_DEPENDS.libglade+=	libglade>=0.17nb8
 BUILDLINK_PKGSRCDIR.libglade?=	../../devel/libglade
 .endif	# LIBGLADE_BUILDLINK3_MK
 
Index: ./devel/libglade2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libglade2/Makefile,v
retrieving revision 1.43
diff -u -r1.43 Makefile
--- ./devel/libglade2/Makefile	21 Mar 2006 06:00:44 -0000	1.43
+++ ./devel/libglade2/Makefile	4 Apr 2006 06:26:52 -0000
@@ -25,9 +25,9 @@
 XML_ENTRIES=	system http://glade.gnome.org/glade-2.0.dtd \
 		${PREFIX}/share/xml/libglade/glade-2.0.dtd
 
-BUILDLINK_DEPENDS.atk+=		atk>=1.9.0
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.6.0
-BUILDLINK_DEPENDS.gtk2+=	gtk2+>=2.6.0
+BUILDLINK_API_DEPENDS.atk+=		atk>=1.9.0
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.6.0
+BUILDLINK_API_DEPENDS.gtk2+=	gtk2+>=2.6.0
 
 post-install:
 	${INSTALL_DATA_DIR} ${PREFIX}/lib/libglade/2.0
Index: ./devel/libglade2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libglade2/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./devel/libglade2/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.10
+++ ./devel/libglade2/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libglade2
 
 .if !empty(LIBGLADE2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libglade2+=	libglade2>=2.3.6
-BUILDLINK_RECOMMENDED.libglade2+=	libglade2>=2.5.1nb2
+BUILDLINK_API_DEPENDS.libglade2+=	libglade2>=2.3.6
+BUILDLINK_ABI_DEPENDS.libglade2+=	libglade2>=2.5.1nb2
 BUILDLINK_PKGSRCDIR.libglade2?=	../../devel/libglade2
 
 PRINT_PLIST_AWK+=	/^@dirrm lib\/libglade$$/ { next; }
Index: ./devel/libglademm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libglademm/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/libglademm/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.3
+++ ./devel/libglademm/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libglademm
 
 .if !empty(LIBGLADEMM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libglademm+=	libglademm>=2.6.0
-BUILDLINK_RECOMMENDED.libglademm?=	libglademm>=2.6.1nb2
+BUILDLINK_API_DEPENDS.libglademm+=	libglademm>=2.6.0
+BUILDLINK_ABI_DEPENDS.libglademm?=	libglademm>=2.6.1nb2
 BUILDLINK_PKGSRCDIR.libglademm?=	../../devel/libglademm
 .endif	# LIBGLADEMM_BUILDLINK3_MK
 
Index: ./devel/libgnome/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libgnome/Makefile,v
retrieving revision 1.50
diff -u -r1.50 Makefile
--- ./devel/libgnome/Makefile	21 Mar 2006 06:00:44 -0000	1.50
+++ ./devel/libgnome/Makefile	4 Apr 2006 06:26:52 -0000
@@ -14,7 +14,7 @@
 DEPENDS+=	docbook>=4.2:../../textproc/docbook
 BUILD_USES_MSGFMT=	YES
 
-BUILDLINK_DEPENDS.esound+=	esound>=0.2.26
+BUILDLINK_API_DEPENDS.esound+=	esound>=0.2.26
 
 GNU_CONFIGURE=		YES
 USE_TOOLS+=		gmake pkg-config
Index: ./devel/libgnome/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libgnome/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./devel/libgnome/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.10
+++ ./devel/libgnome/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgnome
 
 .if !empty(LIBGNOME_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgnome+=	libgnome>=2.8.0
-BUILDLINK_RECOMMENDED.libgnome+=	libgnome>=2.12.0.1nb3
+BUILDLINK_API_DEPENDS.libgnome+=	libgnome>=2.8.0
+BUILDLINK_ABI_DEPENDS.libgnome+=	libgnome>=2.12.0.1nb3
 BUILDLINK_PKGSRCDIR.libgnome?=	../../devel/libgnome
 .endif	# LIBGNOME_BUILDLINK3_MK
 
Index: ./devel/libgnomemm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libgnomemm/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./devel/libgnomemm/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.5
+++ ./devel/libgnomemm/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgnomemm
 
 .if !empty(LIBGNOMEMM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgnomemm+=	libgnomemm>=2.10.0
-BUILDLINK_RECOMMENDED.libgnomemm?=	libgnomemm>=2.12.1nb2
+BUILDLINK_API_DEPENDS.libgnomemm+=	libgnomemm>=2.10.0
+BUILDLINK_ABI_DEPENDS.libgnomemm?=	libgnomemm>=2.12.1nb2
 BUILDLINK_PKGSRCDIR.libgnomemm?=	../../devel/libgnomemm
 .endif	# LIBGNOMEMM_BUILDLINK3_MK
 
Index: ./devel/libgnomeui/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libgnomeui/Makefile,v
retrieving revision 1.54
diff -u -r1.54 Makefile
--- ./devel/libgnomeui/Makefile	6 Mar 2006 00:18:12 -0000	1.54
+++ ./devel/libgnomeui/Makefile	4 Apr 2006 06:26:52 -0000
@@ -27,8 +27,8 @@
 PKGCONFIG_BASE=		${WRKSRC}/libgnomeui/libgnomeui-2.0.pc
 PKGCONFIG_OVERRIDE=	${PKGCONFIG_BASE}.in
 
-BUILDLINK_DEPENDS.gtk2=		gtk2+>=2.8.0
-BUILDLINK_DEPENDS.libgnome=	libgnome>=2.12.0.1
+BUILDLINK_API_DEPENDS.gtk2=		gtk2+>=2.8.0
+BUILDLINK_API_DEPENDS.libgnome=	libgnome>=2.12.0.1
 
 # Needed because part of the pc files doesn't get filled in till after
 # configure does its pass
Index: ./devel/libgnomeui/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libgnomeui/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./devel/libgnomeui/buildlink3.mk	6 Mar 2006 00:18:12 -0000	1.11
+++ ./devel/libgnomeui/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgnomeui
 
 .if !empty(LIBGNOMEUI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgnomeui+=		libgnomeui>=2.8.0
-BUILDLINK_RECOMMENDED.libgnomeui+=	libgnomeui>=2.12.1
+BUILDLINK_API_DEPENDS.libgnomeui+=		libgnomeui>=2.8.0
+BUILDLINK_ABI_DEPENDS.libgnomeui+=	libgnomeui>=2.12.1
 BUILDLINK_PKGSRCDIR.libgnomeui?=	../../devel/libgnomeui
 .endif	# LIBGNOMEUI_BUILDLINK3_MK
 
Index: ./devel/libgnomeuimm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libgnomeuimm/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/libgnomeuimm/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.4
+++ ./devel/libgnomeuimm/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgnomeuimm
 
 .if !empty(LIBGNOMEUIMM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgnomeuimm+=	libgnomeuimm>=2.10.0
-BUILDLINK_RECOMMENDED.libgnomeuimm?=	libgnomeuimm>=2.12.0nb3
+BUILDLINK_API_DEPENDS.libgnomeuimm+=	libgnomeuimm>=2.10.0
+BUILDLINK_ABI_DEPENDS.libgnomeuimm?=	libgnomeuimm>=2.12.0nb3
 BUILDLINK_PKGSRCDIR.libgnomeuimm?=	../../devel/libgnomeuimm
 .endif	# LIBGNOMEUIMM_BUILDLINK3_MK
 
Index: ./devel/libgphoto2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libgphoto2/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./devel/libgphoto2/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.6
+++ ./devel/libgphoto2/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgphoto2
 
 .if !empty(LIBGPHOTO2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgphoto2+=		libgphoto2>=2.1.2
-BUILDLINK_RECOMMENDED.libgphoto2+=	libgphoto2>=2.1.6nb1
+BUILDLINK_API_DEPENDS.libgphoto2+=		libgphoto2>=2.1.2
+BUILDLINK_ABI_DEPENDS.libgphoto2+=	libgphoto2>=2.1.6nb1
 BUILDLINK_PKGSRCDIR.libgphoto2?=	../../devel/libgphoto2
 .endif	# LIBGPHOTO2_BUILDLINK3_MK
 
Index: ./devel/libgsf/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libgsf/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./devel/libgsf/buildlink3.mk	6 Mar 2006 00:18:11 -0000	1.11
+++ ./devel/libgsf/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgsf
 
 .if !empty(LIBGSF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgsf+=	libgsf>=1.13.3
-BUILDLINK_RECOMMENDED.libgsf?=	libgsf>=1.14.0
+BUILDLINK_API_DEPENDS.libgsf+=	libgsf>=1.13.3
+BUILDLINK_ABI_DEPENDS.libgsf?=	libgsf>=1.14.0
 BUILDLINK_PKGSRCDIR.libgsf?=	../../devel/libgsf
 .endif	# LIBGSF_BUILDLINK3_MK
 
Index: ./devel/libhfs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libhfs/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./devel/libhfs/buildlink3.mk	3 Jan 2005 01:56:15 -0000	1.1
+++ ./devel/libhfs/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libhfs
 
 .if !empty(LIBHFS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libhfs+=	libhfs>=3.2.6nb1
+BUILDLINK_API_DEPENDS.libhfs+=	libhfs>=3.2.6nb1
 BUILDLINK_PKGSRCDIR.libhfs?=	../../devel/libhfs
 .endif	# LIBHFS_BUILDLINK3_MK
 
Index: ./devel/libiberty/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libiberty/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/libiberty/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.3
+++ ./devel/libiberty/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libiberty
 
 .if !empty(LIBIBERTY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libiberty+=	libiberty>=1.0nb1
-BUILDLINK_RECOMMENDED.libiberty?=	libiberty>=1.0nb2
+BUILDLINK_API_DEPENDS.libiberty+=	libiberty>=1.0nb1
+BUILDLINK_ABI_DEPENDS.libiberty?=	libiberty>=1.0nb2
 BUILDLINK_PKGSRCDIR.libiberty?=	../../devel/libiberty
 .endif	# LIBIBERTY_BUILDLINK3_MK
 BUILDLINK_DEPMETHOD.libiberty?= build
Index: ./devel/libidn/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libidn/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./devel/libidn/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.8
+++ ./devel/libidn/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libidn
 
 .if !empty(LIBIDN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libidn+=	libidn>=0.4.6
-BUILDLINK_RECOMMENDED.libidn+=	libidn>=0.6.1nb1
+BUILDLINK_API_DEPENDS.libidn+=	libidn>=0.4.6
+BUILDLINK_ABI_DEPENDS.libidn+=	libidn>=0.6.1nb1
 BUILDLINK_PKGSRCDIR.libidn?=	../../devel/libidn
 .endif	# LIBIDN_BUILDLINK3_MK
 
Index: ./devel/libinstaller/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libinstaller/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./devel/libinstaller/buildlink3.mk	9 Feb 2005 05:44:18 -0000	1.1.1.1
+++ ./devel/libinstaller/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libinstaller
 
 .if !empty(LIBINSTALLER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libinstaller+=	libinstaller>=4.0
+BUILDLINK_API_DEPENDS.libinstaller+=	libinstaller>=4.0
 BUILDLINK_PKGSRCDIR.libinstaller?=	../../devel/libinstaller
 .endif	# LIBINSTALLER_BUILDLINK3_MK
 
Index: ./devel/libjit/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libjit/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/libjit/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.3
+++ ./devel/libjit/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libjit
 
 .if !empty(LIBJIT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libjit+=	libjit>=0.0.2
-BUILDLINK_RECOMMENDED.libjit+=	libjit>=0.0.4nb1
+BUILDLINK_API_DEPENDS.libjit+=	libjit>=0.0.2
+BUILDLINK_ABI_DEPENDS.libjit+=	libjit>=0.0.4nb1
 BUILDLINK_PKGSRCDIR.libjit?=	../../devel/libjit
 .endif	# LIBJIT_BUILDLINK3_MK
 
Index: ./devel/libltdl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libltdl/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/libltdl/buildlink3.mk	25 Nov 2004 22:55:54 -0000	1.3
+++ ./devel/libltdl/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -19,7 +19,7 @@
 BUILDLINK_PACKAGES+=	libltdl
 
 .if !empty(LIBLTDL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libltdl+=	libltdl>=1.5.10
+BUILDLINK_API_DEPENDS.libltdl+=	libltdl>=1.5.10
 BUILDLINK_PKGSRCDIR.libltdl?=	../../devel/libltdl
 .endif	# LIBLTDL_BUILDLINK3_MK
 
Index: ./devel/libmatchbox/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libmatchbox/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./devel/libmatchbox/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.6
+++ ./devel/libmatchbox/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libmatchbox
 
 .if !empty(LIBMATCHBOX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmatchbox+=	libmatchbox>=1.4
-BUILDLINK_RECOMMENDED.libmatchbox+=	libmatchbox>=1.7nb2
+BUILDLINK_API_DEPENDS.libmatchbox+=	libmatchbox>=1.4
+BUILDLINK_ABI_DEPENDS.libmatchbox+=	libmatchbox>=1.7nb2
 BUILDLINK_PKGSRCDIR.libmatchbox?=	../../devel/libmatchbox
 .endif	# LIBMATCHBOX_BUILDLINK3_MK
 
Index: ./devel/libmemcache/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libmemcache/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./devel/libmemcache/buildlink3.mk	11 Oct 2005 15:31:20 -0000	1.1.1.1
+++ ./devel/libmemcache/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libmemcache
 
 .if !empty(LIBMEMCACHE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmemcache+=	libmemcache>=1.4.0beta5
+BUILDLINK_API_DEPENDS.libmemcache+=	libmemcache>=1.4.0beta5
 BUILDLINK_PKGSRCDIR.libmemcache?=	../../devel/libmemcache
 .endif	# LIBMEMCACHE_BUILDLINK3_MK
 
Index: ./devel/libmemmgr/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libmemmgr/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./devel/libmemmgr/buildlink3.mk	9 Apr 2005 18:37:08 -0000	1.1
+++ ./devel/libmemmgr/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libmemmgr
 
 .if !empty(LIBMEMMGR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmemmgr+=	libmemmgr>=1.04
+BUILDLINK_API_DEPENDS.libmemmgr+=	libmemmgr>=1.04
 BUILDLINK_PKGSRCDIR.libmemmgr?=	../../devel/libmemmgr
 BUILDLINK_DEPMETHOD.libmemmgr?=	build
 .endif	# LIBMEMMGR_BUILDLINK3_MK
Index: ./devel/libmimedir/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libmimedir/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/libmimedir/buildlink3.mk	13 Oct 2005 20:41:51 -0000	1.2
+++ ./devel/libmimedir/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libmimedir
 
 .if !empty(LIBMIMEDIR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmimedir+=	libmimedir>=0.4nb1
+BUILDLINK_API_DEPENDS.libmimedir+=	libmimedir>=0.4nb1
 BUILDLINK_PKGSRCDIR.libmimedir?=	../../devel/libmimedir
 .endif	# LIBMIMEDIR_BUILDLINK3_MK
 
Index: ./devel/libmm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libmm/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./devel/libmm/buildlink3.mk	3 Oct 2004 00:13:30 -0000	1.6
+++ ./devel/libmm/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libmm
 
 .if !empty(LIBMM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmm+=	libmm>=1.2.1
-BUILDLINK_RECOMMENDED.libmm+=	libmm>=1.2.2nb1
+BUILDLINK_API_DEPENDS.libmm+=	libmm>=1.2.1
+BUILDLINK_ABI_DEPENDS.libmm+=	libmm>=1.2.2nb1
 BUILDLINK_PKGSRCDIR.libmm?=	../../devel/libmm
 .endif	# LIBMM_BUILDLINK3_MK
 
Index: ./devel/libnet/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libnet/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/libnet/buildlink3.mk	3 Oct 2004 00:13:30 -0000	1.2
+++ ./devel/libnet/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libnet
 
 .if !empty(LIBNET_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libnet+=	libnet>=1.0.1bnb3
-BUILDLINK_RECOMMENDED.libnet+=	libnet>=1.0.1bnb4
+BUILDLINK_API_DEPENDS.libnet+=	libnet>=1.0.1bnb3
+BUILDLINK_ABI_DEPENDS.libnet+=	libnet>=1.0.1bnb4
 BUILDLINK_PKGSRCDIR.libnet?=	../../devel/libnet
 .endif	# LIBNET_BUILDLINK3_MK
 
Index: ./devel/libnet11/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libnet11/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./devel/libnet11/buildlink3.mk	20 Jan 2005 18:04:58 -0000	1.1.1.1
+++ ./devel/libnet11/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libnet
 
 .if !empty(LIBNET_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libnet+=	libnet>=1.1.2.1
+BUILDLINK_API_DEPENDS.libnet+=	libnet>=1.1.2.1
 BUILDLINK_PKGSRCDIR.libnet?=	../../devel/libnet11
 .endif	# LIBNET_BUILDLINK3_MK
 
Index: ./devel/libntlm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libntlm/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/libntlm/buildlink3.mk	3 Oct 2004 00:13:30 -0000	1.3
+++ ./devel/libntlm/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libntlm
 
 .if !empty(LIBNTLM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libntlm+=	libntlm>=0.3.2
-BUILDLINK_RECOMMENDED.libntlm+=	libntlm>=0.3.6nb1
+BUILDLINK_API_DEPENDS.libntlm+=	libntlm>=0.3.2
+BUILDLINK_ABI_DEPENDS.libntlm+=	libntlm>=0.3.6nb1
 BUILDLINK_PKGSRCDIR.libntlm?=	../../devel/libntlm
 .endif	# LIBNTLM_BUILDLINK3_MK
 
Index: ./devel/liboil/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/liboil/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./devel/liboil/buildlink3.mk	16 Jan 2006 18:21:19 -0000	1.1
+++ ./devel/liboil/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	liboil
 
 .if !empty(LIBOIL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.liboil+=	liboil>=0.3.6
+BUILDLINK_API_DEPENDS.liboil+=	liboil>=0.3.6
 BUILDLINK_PKGSRCDIR.liboil?=	../../devel/liboil
 .endif	# LIBOIL_BUILDLINK3_MK
 
Index: ./devel/libole2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libole2/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/libole2/buildlink3.mk	3 Oct 2004 00:13:30 -0000	1.2
+++ ./devel/libole2/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libole2
 
 .if !empty(LIBOLE2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libole2+=	libole2>=0.2.4nb1
-BUILDLINK_RECOMMENDED.libole2+=	libole2>=0.2.4nb2
+BUILDLINK_API_DEPENDS.libole2+=	libole2>=0.2.4nb1
+BUILDLINK_ABI_DEPENDS.libole2+=	libole2>=0.2.4nb2
 BUILDLINK_PKGSRCDIR.libole2?=	../../devel/libole2
 .endif	# LIBOLE2_BUILDLINK3_MK
 
Index: ./devel/liboop/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/liboop/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/liboop/buildlink3.mk	3 Oct 2004 00:13:30 -0000	1.2
+++ ./devel/liboop/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	liboop
 
 .if !empty(LIBOOP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.liboop+=	liboop>=0.9
-BUILDLINK_RECOMMENDED.liboop+=	liboop>=1.0nb1
+BUILDLINK_API_DEPENDS.liboop+=	liboop>=0.9
+BUILDLINK_ABI_DEPENDS.liboop+=	liboop>=1.0nb1
 BUILDLINK_PKGSRCDIR.liboop?=	../../devel/liboop
 .endif	# LIBOOP_BUILDLINK3_MK
 
Index: ./devel/libosip/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libosip/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/libosip/buildlink3.mk	1 Apr 2005 19:50:42 -0000	1.3
+++ ./devel/libosip/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libosip2
 
 .if !empty(LIBOSIP2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libosip2+=	libosip2>=2.2.0
-BUILDLINK_RECOMMENDED.libosip2+=	libosip2>=2.2.0
+BUILDLINK_API_DEPENDS.libosip2+=	libosip2>=2.2.0
+BUILDLINK_ABI_DEPENDS.libosip2+=	libosip2>=2.2.0
 BUILDLINK_PKGSRCDIR.libosip2?=	../../devel/libosip
 .endif	# LIBOSIP2_BUILDLINK3_MK
 
Index: ./devel/libportlib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libportlib/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./devel/libportlib/buildlink3.mk	9 Apr 2005 18:38:10 -0000	1.1
+++ ./devel/libportlib/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libportlib
 
 .if !empty(LIBPORTLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libportlib+=	libportlib>=1.01
+BUILDLINK_API_DEPENDS.libportlib+=	libportlib>=1.01
 BUILDLINK_PKGSRCDIR.libportlib?=	../../devel/libportlib
 BUILDLINK_DEPMETHOD.libportlib?=	build
 .endif	# LIBPORTLIB_BUILDLINK3_MK
Index: ./devel/libproplist/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libproplist/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/libproplist/buildlink3.mk	3 Oct 2004 00:13:30 -0000	1.3
+++ ./devel/libproplist/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libproplist
 
 .if !empty(LIBPROPLIST_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libproplist+=		libproplist>=0.10.1
-BUILDLINK_RECOMMENDED.libproplist+=	libproplist>=0.10.1nb1
+BUILDLINK_API_DEPENDS.libproplist+=		libproplist>=0.10.1
+BUILDLINK_ABI_DEPENDS.libproplist+=	libproplist>=0.10.1nb1
 BUILDLINK_PKGSRCDIR.libproplist?=	../../devel/libproplist
 .endif	# LIBPROPLIST_BUILDLINK3_MK
 
Index: ./devel/librfuncs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/librfuncs/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/librfuncs/buildlink3.mk	26 Jan 2006 18:47:06 -0000	1.4
+++ ./devel/librfuncs/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	librfuncs
 
 .if !empty(LIBRFUNCS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.librfuncs+=	librfuncs>=1.0.4
+BUILDLINK_API_DEPENDS.librfuncs+=	librfuncs>=1.0.4
 BUILDLINK_PKGSRCDIR.librfuncs?=	../../devel/librfuncs
 .endif	# LIBRFUNCS_BUILDLINK3_MK
 
Index: ./devel/librsync/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/librsync/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/librsync/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.3
+++ ./devel/librsync/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	librsync
 
 .if !empty(LIBRSYNC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.librsync+=	librsync>=0.9.6nb2
-BUILDLINK_RECOMMENDED.librsync+=	librsync>=0.9.7nb1
+BUILDLINK_API_DEPENDS.librsync+=	librsync>=0.9.6nb2
+BUILDLINK_ABI_DEPENDS.librsync+=	librsync>=0.9.7nb1
 BUILDLINK_PKGSRCDIR.librsync?=	../../devel/librsync
 .endif	# LIBRSYNC_BUILDLINK3_MK
 
Index: ./devel/libscsi/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libscsi/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./devel/libscsi/buildlink3.mk	31 May 2004 17:13:26 -0000	1.1
+++ ./devel/libscsi/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libscsi
 
 .if !empty(LIBSCSI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libscsi+=	libscsi>=1.6
+BUILDLINK_API_DEPENDS.libscsi+=	libscsi>=1.6
 BUILDLINK_PKGSRCDIR.libscsi?=	../../devel/libscsi
 BUILDLINK_DEPMETHOD.libscsi?=	build
 .endif	# LIBSCSI_BUILDLINK3_MK
Index: ./devel/libsigc++/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libsigc++/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./devel/libsigc++/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.5
+++ ./devel/libsigc++/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libsigcxx
 
 .if !empty(LIBSIGC++_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libsigcxx+=	libsigc++>=1.2.3nb1
-BUILDLINK_RECOMMENDED.libsigcxx+=	libsigc++>=1.2.7nb1
+BUILDLINK_API_DEPENDS.libsigcxx+=	libsigc++>=1.2.3nb1
+BUILDLINK_ABI_DEPENDS.libsigcxx+=	libsigc++>=1.2.7nb1
 BUILDLINK_PKGSRCDIR.libsigcxx?=	../../devel/libsigc++
 .endif	# LIBSIGC++_BUILDLINK3_MK
 
Index: ./devel/libsigc++2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libsigc++2/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/libsigc++2/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.4
+++ ./devel/libsigc++2/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libsigcxx
 
 .if !empty(LIBSIGC++_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libsigcxx+=	libsigc++2>=2.0.3
-BUILDLINK_RECOMMENDED.libsigcxx+=	libsigc++2>=2.0.17nb1
+BUILDLINK_API_DEPENDS.libsigcxx+=	libsigc++2>=2.0.3
+BUILDLINK_ABI_DEPENDS.libsigcxx+=	libsigc++2>=2.0.17nb1
 BUILDLINK_PKGSRCDIR.libsigcxx?=	../../devel/libsigc++2
 .endif	# LIBSIGC++_BUILDLINK3_MK
 
Index: ./devel/libsigsegv/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libsigsegv/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/libsigsegv/buildlink3.mk	11 Mar 2006 22:03:52 -0000	1.2
+++ ./devel/libsigsegv/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libsigsegv
 
 .if !empty(LIBSIGSEGV_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libsigsegv+=	libsigsegv>=2.2
+BUILDLINK_API_DEPENDS.libsigsegv+=	libsigsegv>=2.2
 BUILDLINK_PKGSRCDIR.libsigsegv?=	../../devel/libsigsegv
 # only installs a static library
 BUILDLINK_DEPMETHOD.libsigsegv?=	build
Index: ./devel/libslang/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libslang/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./devel/libslang/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.8
+++ ./devel/libslang/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	libslang
 
 .if !empty(LIBSLANG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libslang+=	libslang>=1.4.9nb1
-BUILDLINK_RECOMMENDED.libslang+=	libslang>=1.4.9nb4
+BUILDLINK_API_DEPENDS.libslang+=	libslang>=1.4.9nb1
+BUILDLINK_ABI_DEPENDS.libslang+=	libslang>=1.4.9nb4
 BUILDLINK_PKGSRCDIR.libslang?=	../../devel/libslang
 .endif	# LIBSLANG_BUILDLINK3_MK
 
Index: ./devel/libstatgrab/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libstatgrab/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/libstatgrab/buildlink3.mk	30 Oct 2004 00:30:29 -0000	1.4
+++ ./devel/libstatgrab/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libstatgrab
 
 .if !empty(LIBSTATGRAB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libstatgrab+=	libstatgrab>=0.10
-BUILDLINK_RECOMMENDED.libstatgrab+=	libstatgrab>=0.10.3nb1
+BUILDLINK_API_DEPENDS.libstatgrab+=	libstatgrab>=0.10
+BUILDLINK_ABI_DEPENDS.libstatgrab+=	libstatgrab>=0.10.3nb1
 BUILDLINK_PKGSRCDIR.libstatgrab?=	../../devel/libstatgrab
 .endif	# LIBSTATGRAB_BUILDLINK3_MK
 
Index: ./devel/libstroke/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libstroke/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./devel/libstroke/buildlink3.mk	5 Feb 2006 23:08:45 -0000	1.7
+++ ./devel/libstroke/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libstroke
 
 .if !empty(LIBSTROKE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libstroke+=	libstroke>=0.5.1
-BUILDLINK_RECOMMENDED.libstroke+=	libstroke>=0.5.1nb2
+BUILDLINK_API_DEPENDS.libstroke+=	libstroke>=0.5.1
+BUILDLINK_ABI_DEPENDS.libstroke+=	libstroke>=0.5.1nb2
 BUILDLINK_PKGSRCDIR.libstroke?=	../../devel/libstroke
 .endif	# LIBSTROKE_BUILDLINK3_MK
 
Index: ./devel/libtar/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libtar/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/libtar/buildlink3.mk	18 Mar 2004 09:12:10 -0000	1.3
+++ ./devel/libtar/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libtar
 
 .if !empty(LIBTAR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libtar+=	libtar>=1.2.11
+BUILDLINK_API_DEPENDS.libtar+=	libtar>=1.2.11
 BUILDLINK_PKGSRCDIR.libtar?=	../../devel/libtar
 .endif	# LIBTAR_BUILDLINK3_MK
 
